unit TrainLog;

{$mode objfpc}{$H+}
{$namespace org.sven.trainlog}
{$modeswitch unicodestrings}

interface

uses
  AndroidR14;

type
  TTrainFamilyActivity = class(AAListActivity)
  private
    type
      TAddDialogListener = class(JLObject,
        ACDialogInterface.InnerOnClickListener)
      public
        procedure onClick(aDialog: ACDialogInterface; aWhich: jint);
      end;
  public
    procedure onCreate(savedInstanceState: AOBundle); override;
  end;

  TTestClass = class(JLObject, ACDialogInterface.InnerOnClickListener)
  public
    procedure onClick(aDialog: ACDialogInterface; aWhich: jint);
  end;

  TTestClass2 = class(JLObject, AATimeInterpolator)
    function getInterpolation(para1: jfloat): jfloat;
  end;

implementation

procedure TTestClass.onClick(aDialog: ACDialogInterface; aWhich: jint);
begin
end;

function TTestClass2.getInterpolation(para1: jfloat): jfloat;
begin
  Result := 0.0;
end;

{ TTrainFamilyActivity }

procedure TTrainFamilyActivity.TAddDialogListener.onClick(
  aDialog: ACDialogInterface; aWhich: jint);
begin
end;

procedure TTrainFamilyActivity.onCreate(savedInstanceState: AOBundle);
var
  listener: ACDialogInterface.InnerOnClickListener;
  interpolator: AATimeInterpolator;
begin
  inherited onCreate(savedInstanceState);

  interpolator := TTestClass2.Create;
  listener := TAddDialogListener.Create;
end;

end.

